Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 04/04/2007, à 22:39

traker

Beyond The Red Line - DEMO RELEASE Linux

screen14.jpg

L'équipe de Battlestar galactica, nous sort enfin une démo single et multi.
Ce jeux est open source dans la lignée de Freespace2

c'est un Torrent seeder le si possible , bon game

Lien de téléchargement : http://www.game-warden.com/forum/showthread.php?t=3502



Complement d'information utilisateurs LINUX

Pour modifier l'affichage du jeux editer le fichier /home/.btrl_demo/btrl.ini

Solution clavier fr:

Voici un script que j'ai adapté pour le probleme de clavier fr cela marche nikel.
Copier ce script dans votre fichier btrl_demo et nommer le lanceur remplacer les XXXX par votre nom d'utilisateur






TMP_modmap="$HOME/xmodmap.current"
FS2_modmap="$HOME/.btrl_demo/xmodmap/FS2_modmap"

btrl_demo_DIR=/home/XXXXX/btrl_demo

btrl_demo_ARGS="-cap_object_update 0 -ambient_factor 70 -spec_exp 8.2 -spec_tube 1.0 -spec_point 8.6 -spec_static 3.5 -spec -glow -mipmap -2d_poof -missile_lighting -dualscanlines -targetinfo -ballistic_gauge -ship_choice_3d -snd_preload -alpha_env"





btrl_demo_BIN="$btrl_demo_DIR/btrl_demo"

die() {
    echo "** Fatal error : $1" >&2
    exit 1
}

cd $btrl_demo_DIR || die "Could not change directory to $btrl_demo_DIR"


[ -f "$FS2_modmap" ] && xmodmap -pke > $TMP_modmap


[ -f "$FS2_modmap" ] && xmodmap - < $FS2_modmap


trap "xmodmap - < $TMP_modmap && rm $TMP_modmap" 0 2 3 4 9 11 15


$btrl_demo_BIN $btrl_demo_ARGS $* || die "Error while running \"$btrl_demo_BIN\" with arguments \"$btrl_demo_ARGS\" ($?)"







Puis télécharger ce fichier: http://clement.hermann.free.fr/fs2/xmodmap et coller le dans: HOME/.btrl_demo/xmodmap/FS2_modmap

ouvrez une console faites :
cd /home/......./btrl_demo

puis sh lanceur

http://spacewings.free.fr

Dernière modification par traker (Le 08/01/2008, à 01:27)

Hors ligne

#2 Le 04/04/2007, à 23:27

kao_chen

Re : Beyond The Red Line - DEMO RELEASE Linux

J'ai trouvé le site officiel :
http://www.game-warden.com/bsg/

Hors ligne

#3 Le 04/04/2007, à 23:53

kao_chen

Re : Beyond The Red Line - DEMO RELEASE Linux

Et des petites vidéos par ici
http://www.dvhardware.net/article18087.html

Hors ligne

#4 Le 05/04/2007, à 02:51

love2hate

Re : Beyond The Red Line - DEMO RELEASE Linux

Bon ben j'ouvre le ball lol

love2hate@Phobie:~$ btrl_demo
dirname: opérande manquante
Pour en savoir davantage, faites: « dirname --help ».
Couldn't run Beyond the Red Line Demo (btrl_demo.bin). Is FSO_DATA_PATH set?

voilla a quoi j'ai droit quand je temp de lancé le jeux
ps aucun sousi a l'install
re ps ont fait comment pour désintaller un fichier run ?


1984 was not supposed to be an instruction manual
Some "poor" wine screencast http://www.youtube.com/user/2m42hy/videos?view=0

Hors ligne

#5 Le 05/04/2007, à 10:23

chebe

Re : Beyond The Red Line - DEMO RELEASE Linux

Pour la désinstallation, il suffit de supprimer le répertoire dans lequel le soft à été installé ...
Par contre j'ai le même problème que toi (dirname: opérande manquante) sous Feisty.
Sous openSUSE, ça marche ... sad
Sur le forum du jeu, pas encore de post à ce sujet ... un peu trop récent peut être.
Il semblerait que la version d'OpenAL à utiliser soit la 1.1 (c'est en tout cas celle qu'ils utilisent sous windows et macos), hors même sous Feisty elle est toujours en 1.0 ... sad

affaire à suivre


Chebe
http://www.linux.nc

Hors ligne

#6 Le 05/04/2007, à 10:51

chebe

Re : Beyond The Red Line - DEMO RELEASE Linux

ok, j'ai la soluce pour le dirname:
editer le fichier btrl_demo
trouver (à la ligne 32)

dirname $fullpath

remplacer par:

dirname "$fullpath"

maintenant j'ai un autre problème ...
Couldn't set video mode: Couldn't find matching GLX visualERROR: "Unable to initialize display device!" at graphics/gropengl.cpp:4658

à suivre


Chebe
http://www.linux.nc

Hors ligne

#7 Le 05/04/2007, à 11:24

tomtom

Re : Beyond The Red Line - DEMO RELEASE Linux

On sait quand ce jeu sortira en version finale ??
Il a l'air libre certes, mais sera-t-il gratuit ?

En tout cas, il a l'air de tout péter ...

Hors ligne

#8 Le 05/04/2007, à 12:07

love2hate

Re : Beyond The Red Line - DEMO RELEASE Linux

dirname "$fullpath" a bien corrigé le probleme de dirname par contre j ai pas ton ereur , mais just sa
Couldn't run Beyond the Red Line Demo (btrl_demo.bin). Is FSO_DATA_PATH set?
pour info je suis sous Edgy


1984 was not supposed to be an instruction manual
Some "poor" wine screencast http://www.youtube.com/user/2m42hy/videos?view=0

Hors ligne

#9 Le 05/04/2007, à 12:47

chebe

Re : Beyond The Red Line - DEMO RELEASE Linux

Pour ça mets toi dans le répertoire du jeu et tapes ./btrl_demo

mon problème de GLX a été réglé en réinstallant les drivers nvidia ... stupid me !


Chebe
http://www.linux.nc

Hors ligne

#10 Le 05/04/2007, à 13:29

love2hate

Re : Beyond The Red Line - DEMO RELEASE Linux

Cool sa marche  impécable  merci big_smile


1984 was not supposed to be an instruction manual
Some "poor" wine screencast http://www.youtube.com/user/2m42hy/videos?view=0

Hors ligne

#11 Le 05/04/2007, à 16:20

Inscer

Re : Beyond The Red Line - DEMO RELEASE Linux

Yop' la compagnie,

Vu les vidéos postées par kao_chen, ça a l'air d'être un bon jeu. Malheureusement, je ne peux y jouer : Je l'ai téléchargé, installé & lancé sans problème mais quand je clique sur "Briefing" ça plante (le jeu se ferme) et je me retrouve sur mon bureau Ubuntu (bien dégoûté). hmm

Donc voilà, si quelqu'un a une solution pour y remédier, je suis preneur.
Merci par avance,

Inscer.

Dernière modification par Inscer (Le 05/04/2007, à 20:35)

Hors ligne

#12 Le 05/04/2007, à 19:59

kao_chen

Re : Beyond The Red Line - DEMO RELEASE Linux

Lance le par la console et regarde les messages qui s'affichent lorsque ça a  planté

Hors ligne

#13 Le 05/04/2007, à 20:31

Inscer

Re : Beyond The Red Line - DEMO RELEASE Linux

kao_chen a écrit :

Lance le par la console et regarde les messages qui s'affichent lorsque ça a  planté

Tout d'abord, merci pour ta réponse.

J'ai fait ce que tu as dit :

inscer@inscer-desktop:~$ /home/inscer/Desktop/btrl_demo
ERROR: "Could not load ABexp04 anim file" at fireball/fireballs.cpp:697
inscer@inscer-desktop:~$

Une idée ?

Dernière modification par Inscer (Le 05/04/2007, à 20:31)

Hors ligne

#14 Le 05/04/2007, à 20:31

kao_chen

Re : Beyond The Red Line - DEMO RELEASE Linux

Moi j'ai réussit à lancer le jeu sans trop de problème

cd '/usr/local/games/btrl_demo

puis un 

sudo ./btrl_demo

pour qu'il puisse enregistrer mon nom de pilote

Par contre je n'est pas trouvé le moyen d'enlever le fullscreen

Hors ligne

#15 Le 05/04/2007, à 22:11

kao_chen

Re : Beyond The Red Line - DEMO RELEASE Linux

Le dossier .btrl_demo qui se trouve dans votre dossier perso (c'est un dossier caché)
/home/kao/.btrl_demo pour moi est protégé en écriture
J'ai ouvert les droit avec un sudo chmod 777 sur chaque fichier
(je sais pas comment on fait pour changer les permissions de tout les fichiers, se trouvant dans un dossier, plus facilement)
depuis je peux sans problème l'utiliser en passant par le menu application->jeux

Hors ligne

#16 Le 05/04/2007, à 22:34

kao_chen

Re : Beyond The Red Line - DEMO RELEASE Linux

Pour enlever le plein écran (pratique quand on en a deux comme moi wink  )
Il faut éditer le fichier "fs2_open.ini"

gedit /home/Dossier_perso/.btrl_demo/fs2_open.ini

et rajouter
Fullscreen=0

Comme dans mon fichier:
[Default]
VideocardFs2open=OGL -(1024x768)x32 bit
Fullscreen=0
LastPlayer=kaochenS

[PXO]
FS2OpenPXO=0
Login=
Password=
SquadName=

Hors ligne

#17 Le 05/04/2007, à 22:39

Inscer

Re : Beyond The Red Line - DEMO RELEASE Linux

Personne n'a de solution pour mon problème ? hmm

Ya pas de problèmes ya que des solutions...

Dernière modification par Inscer (Le 05/04/2007, à 22:40)

Hors ligne

#18 Le 05/04/2007, à 23:11

traker

Re : Beyond The Red Line - DEMO RELEASE Linux

Ok je vois que la plupart on résolu leur problemes.

Pour inscer le mieu que tu ai as faire est d'aller directement sur leur forum et de leur posé la question , tu aura une réponce rapide.

Pour les pb de résolution d'écran il faut effectivement éditer le fichier ./btrl_demo, la résolution mini est 1024.

Sur Ubuntu dapper 6.10 aucun problemes en compilant vous pouvez avoir ce genre de message:

chris@chris-desktop:~$ sh BtRLDemoInstaller.run
Verifying archive integrity... All good.
Uncompressing Beyond the Red Line Demo.................................................................................................................

Gtk-WARNING **: Impossible de localiser le module chargeable dans module_path : « liblighthouseblue.so »,

Gtk-WARNING **: Impossible de localiser le module chargeable dans module_path : « liblighthouseblue.so »,
loki_setup : Impossible de créer /home/chris/btrl_demo : Le fichier existe.
Warning: kbuildsycoca is unable to register with DCOP.
kbuildsycoca running...
Link points to "/tmp/ksocket-chris"
Link points to "/tmp/kde-chris"
X Error: BadDevice, invalid or uninitialized input device 169
  Major opcode:  147
  Minor opcode:  3
  Resource id:  0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 169
  Major opcode:  147
  Minor opcode:  3
  Resource id:  0x0
Failed to open device
kbuildsycoca running...
Reusing existing ksycoca
kio (KSycoca): ERROR: No database available!
kio (KSycoca): ERROR: No database available!
Reusing existing ksycoca
kio (KSycoca): ERROR: No database available!
kio (KSycoca): ERROR: No database available!
sh: /home/chris/btrl_demo : est un répertoire
chris@chris-desktop:~$

Rien de grave le jeux ce lance et pour le moment aucun bug.

Pour conclure OUI LE JEUX FINAL SERA GRATUIT.

Bon game et quand vous voulez pour une bataille on line les tuxiens smile

Dernière modification par traker (Le 05/04/2007, à 23:11)

Hors ligne

#19 Le 06/04/2007, à 00:15

traker

Re : Beyond The Red Line - DEMO RELEASE Linux

RE voici un script que j'ai adapté pour le probleme de clavier fr cela marche nikel
copier ce script dans votre fichier btrl_demo et nommer le lanceur remplacer les XXXX par votre nom d'utilisateur

#!/bin/sh
# This script lauches btrl_demo. If there is a file named $FS2_modmap (see below), 
# backup the current modmap as $TMP_modmap and load it as the new modmap. 
# The current modmap will be restored afterwards.

TMP_modmap="$HOME/xmodmap.current"
FS2_modmap="$HOME/.btrl_demo/xmodmap/FS2_modmap"

FS2_OPEN_DIR=/home/[b]XXXX[/b]/btrl_demo

FS2_BIN="$FS2_OPEN_DIR/btrl_demo"

die() {
echo "** Fatal error : $1" >&2
exit 1
}

cd $FS2_OPEN_DIR || die "Could not change directory to $FS2_OPEN_DIR"

# dump current xmodmap
[ -f "$FS2_modmap" ] && xmodmap -pke > $TMP_modmap

# load xmodmap
[ -f "$FS2_modmap" ] && xmodmap - < $FS2_modmap

# prepare to restore xmodmap on crash or exit
trap "xmodmap - < $TMP_modmap && rm $TMP_modmap" 0 2 3 4 9 11 15

# launch fs2
$FS2_BIN $FS2_ARGS $* || die "Error while running \"$FS2_BIN\" with arguments \"$FS2_ARGS\" ($?)"

Ouvrez une console faite:

$ xmodmap -pke > ~/xmodmap.current



télécharger ce fichier: http://clement.hermann.free.fr/fs2/xmodmap et coller le dans: HOME/.btrl_demo/xmodmap/FS2_modmap

ouvrez une console faites :
cd /home/......./btrl_demo

puis sh lanceur




I tested that and it's work fine .

official link to the script -> http://www.hard-light.net/wiki/index..._open_on_Linux

Dernière modification par traker (Le 06/04/2007, à 16:41)

Hors ligne

#20 Le 06/04/2007, à 00:32

G-rom

Re : Beyond The Red Line - DEMO RELEASE Linux

Moi j'ai ce problème quand je veux l'installer. Je précise que je suis sous feisty.

./BtRLDemoInstaller.run 
Verifying archive integrity... All good.
Uncompressing Beyond the Red Line Demo.................................................................................................................
/home/g-rom/.setup26123: error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory

Quand tu ne sais pas (cherche puis) demande, quand tu sais partage.

Hors ligne

#21 Le 06/04/2007, à 00:55

chebe

Re : Beyond The Red Line - DEMO RELEASE Linux

Super cool la feinte pour le clavier !!!
J'ai enfin pu finir la partie training smile


Chebe
http://www.linux.nc

Hors ligne

#22 Le 06/04/2007, à 08:23

kao_chen

Re : Beyond The Red Line - DEMO RELEASE Linux

G-rom tu as vérifié dans synaptic que le paquet libgtk-1.2 était installé ?

Hors ligne

#23 Le 06/04/2007, à 09:37

mectx

Re : Beyond The Red Line - DEMO RELEASE Linux

fonctionne nickel OUT of the Box une lib a remettre a jour et roule
c'est plus que beau l'ambiance est royale... etc

Hors ligne

#24 Le 06/04/2007, à 12:29

G-rom

Re : Beyond The Red Line - DEMO RELEASE Linux

kao_chen a écrit :

G-rom tu as vérifié dans synaptic que le paquet libgtk-1.2 était installé ?

héhé effectivement... ça risquait pas de marcher :$


Quand tu ne sais pas (cherche puis) demande, quand tu sais partage.

Hors ligne

#25 Le 06/04/2007, à 13:17

mectx

Re : Beyond The Red Line - DEMO RELEASE Linux

G-rom a écrit :
kao_chen a écrit :

G-rom tu as vérifié dans synaptic que le paquet libgtk-1.2 était installé ?

héhé effectivement... ça risquait pas de marcher :$

rohhh s'pas bien de pas lire la console big_smile:D:D !!
moi direct après la décompression de l'archive il m'as dit qu'elle été pas la!!!

Hors ligne

Haut de page ↑